Skip to content
  • Jed Brown's avatar
    petsc::mpi re-exports compatible MPI · 6a5c6bcd
    Jed Brown authored
    This means examples don't need to deal with versioning of the mpi
    package and ensuring that a version consistent with libpetsc.so is
    found. We now recommend most examples use a statement like this.
    
        use petsc::{prelude::*, mpi::traits::*};
    
    One can now use petsc.world().size() without needing to think about MPI
    beyond the import above.
    
    Fixes: #6
    6a5c6bcd